MWAWStringStreamPrivate Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
MWAWStringStreamPrivate Class Reference

internal data of a MWAWStringStream More...

## Public Member Functions
| MWAWStringStreamPrivate (const unsigned char *data, unsigned dataSize)
| constructor More...
| ~MWAWStringStreamPrivate ()
| destructor More...
void | append (const unsigned char *data, unsigned dataSize)
| append some data at the end of the actual stream More...

## Public Attributes
std::vector< unsigned char > | m_buffer
| the stream buffer More...
long | m_offset
| the stream offset More...

## Private Member Functions
| MWAWStringStreamPrivate (const MWAWStringStreamPrivate &)
MWAWStringStreamPrivate & | operator= (const MWAWStringStreamPrivate &)

## Detailed Description

internal data of a MWAWStringStream

## Constructor & Destructor Documentation

MWAWStringStreamPrivate::MWAWStringStreamPrivate | ( | const unsigned char * | data,
|  | unsigned | dataSize
| ) |  |

constructor

MWAWStringStreamPrivate::~MWAWStringStreamPrivate | ( |  | ) |

destructor

MWAWStringStreamPrivate::MWAWStringStreamPrivate | ( | const MWAWStringStreamPrivate & |  | ) |
| private

## Member Function Documentation

void MWAWStringStreamPrivate::append | ( | const unsigned char * | data,
|  | unsigned | dataSize
| ) |  |

append some data at the end of the actual stream

Referenced by MWAWStringStream::append().

MWAWStringStreamPrivate& MWAWStringStreamPrivate::operator= | ( | const MWAWStringStreamPrivate & |  | ) |
| private

## Member Data Documentation

std::vector<unsigned char> MWAWStringStreamPrivate::m_buffer

the stream buffer

Referenced by append(), MWAWStringStream::isEnd(), MWAWStringStreamPrivate(), MWAWStringStream::read(), and MWAWStringStream::seek().

long MWAWStringStreamPrivate::m_offset

the stream offset

Referenced by MWAWStringStream::isEnd(), MWAWStringStream::read(), MWAWStringStream::seek(), and MWAWStringStream::tell().

The documentation for this class was generated from the following file:

- MWAWStringStream.cxx